Init script on RH systems - foreman failed to restart
Description

It appears that foreman never writes its pid from the init.d script.

Adding :

daemon --pidfile=${FOREMAN_PID}

solved the problem, and foreman can now restart.

History

#1 - 03/31/2011 05:55 PM - Julien R.

lsbdistcodename => Final

lsbdistdescription => CentOS release 5.5 (Final)

lsbdistid => CentOS

lsbdistrelease => 5.5

lsbmajdistrelease => 5

lsbrelease => :core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-

noarch

 Installed through : http://theforeman.org/projects/foreman/wiki/Installation_instructions#Quick-and-dirty

#2 - 04/12/2011 07:25 AM - Ohad Levy

- Status changed from New to Feedback

- Target version deleted (0.3)

I cant reproduce the problem - i.e. that it wont start.

the only scenario when it doesn't start is the database is not migrated or that there are missing dependencies etc.

if you remove your patch, does is stop working?

#3 - 06/28/2012 06:40 AM - Benjamin Papillon

Hello,

Do you still have this issue?

#4 - 07/05/2012 05:08 AM - Ohad Levy

- Status changed from Feedback to Resolved

cant reproduce, works on 1.0
